Page MenuHomePhabricator

After move completed, translation units and translation pages are left behind
Closed, ResolvedPublic

Description

Example from yesterday: https://meta.wikimedia.org/w/index.php?title=Special:Log&dir=prev&offset=20130211005632&limit=2&type=pagetranslation
[[m:Template:OurProjects]] was moved from [[m:Template:OurProjects2012]]; all the translations units are still under the old title and translation pages under new title are now 0 % translated.
[[m:Template:OurProjects/nl]]
https://meta.wikimedia.org/w/index.php?title=Special%3APrefixIndex&prefix=Template%3AOurProjects2012&namespace=1198
https://meta.wikimedia.org/w/index.php?title=Special:Log&dir=prev&offset=20130210201318&limit=5&type=move&user=FuzzyBot
The translatable page didn't have subpages to be moved along with it, and there were no (sub)pages under the new title so move didn't have any obstacle; job queue is around 1500/2000.

If the move is just somewhere in the queue, this is only a bug about misleading completion messages.

Note: this is not about display problems; I had a problem that *looked* the same with [[m:Post-edit feedback]] (translated pages shown as untranslated on <languages/>), which fixed itself in a few weeks, but it's a different one because translation units had been moved correctly.


Version: unspecified
Severity: major
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=41138

Details

Reference
bz44865

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:18 AM
bzimport set Reference to bz44865.
Nemo_bis created this task.Feb 11 2013, 7:30 AM

Two days later, the pages have not been moved yet. The queue has increased to about 3500, but the general job queue health seems good enough so I doubt this got stuck in the queue for so long.

There was yet more job queue breakage recently; it's been fixed in the mean time. I suspect that's what caused this. Is there still a mess left behind?

(In reply to comment #2)

There was yet more job queue breakage recently; it's been fixed in the mean
time. I suspect that's what caused this.

No, it wasn't related.

Is there still a mess left behind?

Yes.

Not to be confused with bug 41138 comment 6: the final effect is more or less the same, but context seems different (as well as causes, probably), because in this case the pages are smaller and the move is at least logged.

As page move seems mostly or completely broken and very risky, I suppose I should add a visible warning so that no more translatable pages are moved?

Thehelpfulonewiki wrote:

Another example of the problem is at https://meta.wikimedia.org/wiki/Wikimedia_Foundation_elections_2013/Committee - the page was moved from https://meta.wikimedia.org/wiki/Board_elections/2013/Committee

Even though https://meta.wikimedia.org/wiki/Board_elections/2013/Committee/es says (show/hide) 11:21, 17 March 2013 FuzzyBot (talk | contribs | block) moved page Board elections/2013/Committee/es to Wikimedia Foundation elections 2013/Committee/es without leaving a redirect (Part of translatable page "Board elections/2013/Committee".), and this is reflected on the page history, at https://meta.wikimedia.org/w/index.php?title=Wikimedia_Foundation_elections_2013/Committee/es&action=history, the translations were not copied across.

Siebrand: Please can you fix this ASAP?

I haven't been able to reproduce these locally. I need help debugging these on the WMF servers.

We have set up a test on test.wikipedia.org. There seems to be a bug indeed, as I observed that only the "Translation pages" are marked for rename, and no "Translation unit pages", even though I expected some 600 there in this test.

Steps to reproduce:

  1. Go to https://test.wikipedia.org/wiki/Special:MovePage/Bug44865
  2. New name: Tug44865
  3. Ensure that "Move all subpages" is checked
  4. Click "Check if the move is possible"

Observed:
I. New page is loaded. It lists:
Ia: 23 "Translation pages" to be moved.
Ib: 0 "Translation unit pages" to be moved.

Expected:
II. New page is loaded. It lists:
IIa: 23 "Translation pages" to be moved.
IIb: ~600 "Translation unit pages" to be moved.

At this point in the scenario, it doesn't make sense to continue, as here is where things appear to fail already.

This behavior can also be reproduced on translatewiki.net.

Gerrit 56114

Merged. Still has to be deployed on Wikimedia wikis.

Testing on test.wikipedia.org at the moment.

All right on https://meta.wikimedia.org/wiki/Research:Wikipedia_Editor_Survey_2012/Questions too (about 4800 translation units): completion stats at top of page and languages bar are still wrong but all pages are in place and Special:translate finds everything correctly, so it's only a matter of time.